package com.devnem0y.objects.effects;

import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.Rectangle;

public class Explosion {

    private Rectangle bounds;
    private TextureAtlas effectsAtlas;
    private Animation animation;
    private Sprite frameExp1, frameExp2, frameExp3, frameExp4, frameExp5, frameExp6;
    private float animTimer;

    private boolean create;

    public Explosion(float x, float y) {
        bounds = new Rectangle();
        effectsAtlas = new TextureAtlas("image/enemy.atlas");
        initAnimations();
        bounds.width = 70;
        bounds.height = 70;
        bounds.setPosition(x, y);
        animTimer = 0f;
        create = true;
    }

//    public void update( float delta, float curentTime) {
//        if (create) {
//            animTimer += delta;
//            if (animTimer > curentTime) {
//                animTimer = 0;
//                create = false;
//            }
//        }
//    }

    public void render(SpriteBatch batch, float time) {
        if (isCreate()) batch.draw((TextureRegion) animation.getKeyFrame(time), bounds.getX(), bounds.getY(), bounds.getWidth(), bounds.getHeight());
    }

    private void initAnimations() {
        frameExp1 = new Sprite(effectsAtlas.findRegion("frame5"));
        frameExp2 = new Sprite(effectsAtlas.findRegion("frame6"));
        frameExp3 = new Sprite(effectsAtlas.findRegion("frame7"));
        frameExp4 = new Sprite(effectsAtlas.findRegion("frame8"));
        frameExp5 = new Sprite(effectsAtlas.findRegion("frame9"));
        frameExp6 = new Sprite(effectsAtlas.findRegion("frame10"));
        TextureRegion[] exp = {frameExp1, frameExp2, frameExp3, frameExp4, frameExp5, frameExp6,};
        animation = new Animation(1f/7f, exp);
        animation.setPlayMode(Animation.PlayMode.LOOP);
    }

    public boolean isCreate() {
        return create;
    }

    public void setCreate(boolean create) {
        this.create = create;
    }

    public void dispose() {
        effectsAtlas.dispose();
    }
}
