package com.devnem0y.objects.playerBullets;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.Rectangle;

import static com.devnem0y.utils.Constants.*;

public class ShotgunBullet {

    private Rectangle bounds;
    private Texture texture;
    private float speed;
    private boolean alive;

    public ShotgunBullet() {
        bounds = new Rectangle();
        if (texture == null) {
            texture = new Texture("image/bullet.png");
        }

        bounds.setPosition(0.0f, 0.0f);
        bounds.width = 8;
        bounds.height = 8;
        speed = 12.5f;
    }

    public void render(SpriteBatch batch) {
        batch.draw(texture, bounds.x, bounds.y, bounds.width, bounds.height);
    }

    public void update(Rectangle playerBounds) {
        if (bounds.x < playerBounds.x) bounds.x -= speed;
        if (bounds.x > playerBounds.x) bounds.x += speed;
        if (bounds.x + bounds.width < 0 | bounds.x > APP_WIDTH) {
            destroy();
        }
    }

    public void setup(float x, float y) {
        alive = true;
        this.bounds.setPosition(x, y);
    }

    public void destroy() {
        alive = false;
    }

    public boolean isAlive() {
        return alive;
    }

    public Rectangle getBounds() {
        return bounds;
    }

    public void dispose() {
        texture.dispose();
    }
}
