package com.devnem0y.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.utils.viewport.StretchViewport;
import com.devnem0y.Application;
import com.devnem0y.utils.ButtonsMenu;

import static com.devnem0y.utils.Constants.*;

import com.badlogic.gdx.scenes.scene2d.actions.Actions;

public class MenuScreen extends AbstractScreen{

    private OrthographicCamera camera;
    private Texture bg, name;

    public MenuScreen(final Application app) {
        super(app);
        this.camera = new OrthographicCamera();
        this.camera.setToOrtho(false, APP_WIDTH, APP_HEIGHT);

        stage.setViewport(new StretchViewport(APP_WIDTH, APP_HEIGHT, camera));
    }

    @Override
    public void show() {
        System.out.println("MENU");
        Gdx.input.setInputProcessor(stage);
        stage.clear();

        bg = app.assetManager.get("image/bg.jpg", Texture.class);
        name = new Texture("image/namegame.png");
        ButtonsMenu buttonsMenu = new ButtonsMenu(app);
        buttonsMenu.createMenu(stage);

        buttonsMenu.mainMenuGroup.addAction(Actions.moveTo(0, 0, 1.3f));
    }

    @Override
    public void update(float delta) {
        stage.act(delta);
    }

    @Override
    public void render(float delta) {
        super.render(delta);
        app.batch.setProjectionMatrix(camera.combined);
        app.batch.begin();
        app.batch.draw(bg, 0, 0, APP_WIDTH, APP_HEIGHT);
        app.batch.draw(name, 250, 30);
        app.batch.end();
        stage.draw();
    }

    @Override
    public void resize(int width, int height) {
        super.resize(width, height);
    }

    @Override
    public void pause() {

    }

    @Override
    public void resume() {

    }

    @Override
    public void hide() {

    }

    @Override
    public void dispose() {
        super.dispose();
    }
}
