package com.devnem0y.utils;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.ui.Button;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;

public class Controller {

    private Button left, right;
    private Button.ButtonStyle leftStyle, rightStyle;
    private Group joyGroup;
    private Skin skin;

    public int dir;

    public Controller() {
        initJoy();
        dir = 0;
    }

    private void initJoy() {
        skin = new Skin();
        skin.addRegions(new TextureAtlas(Gdx.files.internal("controller.atlas")));
    }

    public void createJoy(Stage stage) {
        joyGroup = new Group();
        joyGroup.setPosition(0, 0);

        leftStyle = new Button.ButtonStyle();
        leftStyle.down = skin.getDrawable("controll_butt");
        leftStyle.up = skin.getDrawable("controll_butt");

        rightStyle = new Button.ButtonStyle();
        rightStyle.down = skin.getDrawable("controll_butt");
        rightStyle.up = skin.getDrawable("controll_butt");

        left = new Button(leftStyle);
        left.setPosition(0, 0);
        left.addListener(new ClickListener() {
            public boolean touchDown (InputEvent event, float x, float y, int pointer, int button) {
                System.out.println("LEFT: 1");
                dir = 1;
                return true;
            }

            public void touchUp (InputEvent event, float x, float y, int pointer, int button) {
                System.out.println("LEFT: 0");
                dir = 0;
            }
        });

        right = new Button(rightStyle);
        right.setPosition(360, 0);
        right.addListener(new ClickListener() {
            public boolean touchDown (InputEvent event, float x, float y, int pointer, int button) {
                System.out.println("RIGHT: 1");
                dir = 2;
                return true;
            }

            public void touchUp (InputEvent event, float x, float y, int pointer, int button) {
                System.out.println("RIGHT: 0");
                dir = 0;
            }
        });

        joyGroup.addActor(left);
        joyGroup.addActor(right);
        stage.addActor(joyGroup);
    }
}
